Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Debian Local Security Checks >> [DSA546] DSA-546-1 gdk-pixbuf


Vulnerability Assessment Details

[DSA546] DSA-546-1 gdk-pixbuf

Vulnerability Assessment Summary
DSA-546-1 gdk-pixbuf

Detailed Explanation for this Vulnerability Assessment

Chris Evans discovered several problems in gdk-pixbuf, the GdkPixBuf
library used in Gtk. It is possible for a possible hacker to execute
arbitrary code on the victims machine. Gdk-pixbuf for Gtk+1.2 is an
external package. For Gtk+2.0 it's part of the main gtk package.
The Common Vulnerabilities and Exposures Project identifies the
following vulnerabilities:
Denial of service in bmp loader.
Heap-based overflow in pixbuf_create_from_xpm.
Integer overflow in the ico loader.
For the stable distribution (woody) these problems have been fixed in
version 0.17.0-2woody2.
For the unstable distribution (sid) these problems have been fixed in
version 0.22.0-7.
We recommend that you upgrade your gdk-pixbuf packages.


Solution : http://www.debian.org/security/2004/dsa-546
Network Security Threat Level: High

Networks Security ID:

Vulnerability Assessment Copyright: This script is (C) 2005 Michel Arboi

Cables, Connectors

HP OMEN 17-BTO Core i7 2TB 128GB SSD 16GB 17.3 4K GTX 1070 8G Z8W54AV-BTO872 NEW
$23.99
HP OMEN 17-BTO Core i7 2TB 128GB SSD 16GB 17.3 4K GTX 1070 8G Z8W54AV-BTO872 NEW pictureIBM X3690 X5 2 x 2.26ghz 8Core 256GB M5014 2x PS 4x 146GB 15K 2.5" SAS 7148-AC1
$1720.37
IBM X3690 X5 2 x 2.26ghz 8Core 256GB M5014 2x PS 4x 146GB 15K 2.512.5" ThinkPad X230 Tablet | Core i7 3520M 2.9GHz | 320GB HDD | 8GB RAM | Win 10
$215.0
12.5Robust HP PL DL380 G6 2x 2.93Ghz X5570 QC 48GB 2x 500GB SAS
$423.15
Robust HP PL DL380 G6 2x 2.93Ghz X5570 QC 48GB 2x 500GB SAS picture


Discussions

No Discussions have been posted on this vulnerability.